<?php

namespace Rtcl\Controllers\Hooks;


use Rtcl\Helpers\Cache;

class AdminHooks
{

	public static function init() {
		add_action("rtcl_sent_email_to_user_by_moderator", [__CLASS__, 'update_user_notification_by_moderator'], 10);
		add_action("rtcl_sent_email_to_user_by_visitor", [__CLASS__, 'update_user_notification_by_visitor'], 10);
		add_action('update_option_rtcl_general_settings', [__CLASS__, 'update_taxonomy_cache_at_taxonomy_order_change'], 10, 2);
		add_filter('quick_edit_show_taxonomy', [__CLASS__, 'listing_remove_taxonomy_from_quick_edit'], 10, 3);
	}

	public static function listing_remove_taxonomy_from_quick_edit($show_in_quick_edit, $taxonomy_name, $post_type) {
		if (rtcl()->post_type === $post_type && in_array($taxonomy_name, [rtcl()->location, rtcl()->category])) {
			return false;
		}
		return $show_in_quick_edit;
	}

	public static function update_user_notification_by_moderator($post_id) {
		$count = absint(get_post_meta($post_id, "notification_by_moderation", true));

		update_post_meta($post_id, 'notification_by_moderation', $count + 1);
	}

	public static function update_user_notification_by_visitor($post_id) {

		$count = absint(get_post_meta($post_id, "notification_by_visitor", true));

		update_post_meta($post_id, 'notification_by_visitor', $count + 1);

	}

	public static function update_taxonomy_cache_at_taxonomy_order_change($old_options, $new_options) {
		if ((isset($old_options['taxonomy_orderby']) && isset($new_options['taxonomy_orderby']) && ($old_options['taxonomy_orderby'] !== $new_options['taxonomy_orderby'])) ||
			(isset($old_options['taxonomy_order']) && isset($new_options['taxonomy_order']) && ($old_options['taxonomy_order'] !== $new_options['taxonomy_order']))) {
			Cache::remove_all_taxonomy_cache();
		}
	}

}